Subject: Question
From: Susan Sonnet <[email-masked]>
To: [email-masked]
Date: Mon, 21 Feb 2022 17:17:18 -0500

I ordered 5 items on 2/18, order #D2221709C3.

I was very happy to receive items on a Sunday 2/20 and like them a lot.

The only issue is I received only 2 items and both invoices show that all 5
were sent.

Just curious that only some came if they were all sent FEDEX on the same
day...?  Can you please check?

I'm hoping that the others are on the way (can't wait to get my new shower
curtain in my brand new bathroom!).  Can't do pictures until then!  And,
that they will probably arrive soon...today is Monday, a federal
holiday.... possibly as soon as I send this email!

Thanks, Susan Sonnet